Warning: Parameter 1 to wp_default_scripts() expected to be a reference, value given in /home/crian734/public_html/blog.kolaborativa/wp-includes/plugin.php on line 601

Warning: Parameter 1 to wp_default_styles() expected to be a reference, value given in /home/crian734/public_html/blog.kolaborativa/wp-includes/plugin.php on line 601
Instalando Java 7 (JDK) no Ubuntu 11.10 32 Bits e 64 Bits

Instalando Java 7 (JDK) no Ubuntu 11.10 32 Bits e 64 Bits

[quote]Criei um script para facilitar a instalação do Java 7 (JDK) no Ubuntu 11.10 32 Bits ou 64 Bits. Será tudo feito automaticamente. Aproveitem![/quote]

Este script vai fazer:

  1. Baixar o Java 7 JDK dependendo da sua plataforma for 32 Bits ou 64 Bits
  2. Adicionar o repositório ppa:nilarimogard/webupd8 e sua chave GPG
  3. Adiciona Java plugin para o Firefox
  4. E atualiza o Java 7 JDK

Os comandos a seguir serão dados no terminal:

Para executar o script é necessário permissão de administrador, ou seja, usuário root do sistema.
Dê o comando de root:

Baixe o script:

Dê permissão de execução para o script:

Execute o script:

Agora é só aguardar até que todo processo seja feito e apareçá uma tela igual a seguir:

É só clicar em OK para atualizar.

Se você já tive instalado o OpenJDK,  aparecerá algo parecido com a tela a seguir:

Volte ao terminal e verifique se a versão está correta:

Acesse o site de teste do java para saber se está tudo funcionando OK.

Pronto agora você pode usar o Java 7 no seu Ubuntu 11.10 Oneiric Ocelot!

Author Description

dodilei

Dizem que falo comendo as palavras, mas o que gosto de comer é um bom paniqueijo! além de OpenSource, Linux, Python e Javascript! :D

There are 16 comments. Add yours

  1. 1st dezembro 2011 | Carlos A. Junior says: Responder
    Muito bom, funcionou perfeitamente aqui.
  2. 3rd dezembro 2011 | BArbini says: Responder
    Parabens cara! Execelnte ajuda! Nota 10!
  3. 18th dezembro 2011 | Uálison Aguiar says: Responder
    Parabéns cara pelo artigo, funcionou perfeito.
  4. 27th dezembro 2011 | Jade says: Responder
    Aqui, no eclipse,mesmo quando escolho a jre 1.7-oracle como padrao ele continua nao reconhecendo as classes servlet. Isso acontece pq não tah usando a jvm correta (normalmente). Sabes oq pode ser?
    • 27th dezembro 2011 | @Dodilei says: Responder
      Infelizmente Jade eu não uso o eclipse... se alguém aqui tiver experiencia sintam-se livres para compartilhar!
  5. 14th janeiro 2012 | Gustavo Cateim says: Responder
    Estava apanhando horrores aqui meu camarada! Muito obrigado!!! Abraços.
  6. 18th janeiro 2012 | Angelo Moura says: Responder
    Instalei o ubuntu 11.10 e o java 7 mas não consigo compilar nenhum java usando o javac, o comando não existe. Sabe o que pode ser?
    • 18th janeiro 2012 | @Dodilei says: Responder
      Você seguiu os passos do meu tutorial?
  7. 2nd fevereiro 2012 | pedro josé says: Responder
    (gksudo:4775): Gtk-WARNING **: Não foi possível localizar a ferramenta de temas no module_path: "pixmap", segui todos os passos, mas essa parte deu errado
    • 5th fevereiro 2012 | @Dodilei says: Responder
      Pedro, eu não sei as certo o que poderia estar acontecendo, mas pelo erro que você postou já temos uma pista que alguma coisa está errada com o "GTK". Ele é o responsável pela interface gráfica das janelas de diversos programas no Ubuntu.
  8. 2nd fevereiro 2012 | pedro josé says: Responder
    update-alternatives: a usar /usr/lib/jvm/java-1.7.0-openjdk-i386/jre/lib/jexec para disponibilizar /usr/bin/jexec (jexec) em modo automático. por favor me ajude!
  9. 4th fevereiro 2012 | Jean says: Responder
    Ótimo tutorial, ajudou bastante. O interessante é que o resultado da primeira busca do google cai aqui.
    • 5th fevereiro 2012 | @Dodilei says: Responder
      Olá Jean, como também sou usuário, eu sei bem como as vezes a gente pena nas buscas pra encontrar a solução que precisamos, que bom que ajudou!
  10. 19th fevereiro 2012 | Luiz Gustavo Martins says: Responder
    Mano, brigadão !!!!! Faz 2 semanas que não conseguia acessar meu bankline, porque estava pedindo a instalação de um app de segurança, mas nunca conseguia instalar por causa do java desatualizado. Já tinha tentado de várias formas instalar o java e não conseguia instalar o app. Agora consegui. Valeu !
  11. 26th fevereiro 2012 | Michel says: Responder
    Valeu amigo funfo certinho!
  12. 18th novembro 2012 | Lucasminhuk says: Responder
    exelente artigo funciona perfeitamente obrigado

Join the Conversation